Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.converter
Class DefaultColorAdjustModel

    java.lang.Object
      org.monte.media.beans.AbstractBean
          org.monte.media.converter.DefaultColorAdjustModel

All Implemented Interfaces:
  java.io.Serializable, ColorAdjustModel

    public class DefaultColorAdjustModel

extends AbstractBean
implements ColorAdjustModel

`DefaultImageAdjustmentModel`.

Version:
  1.0 2012-01-18 Created.
Author:
  Werner Randelshofer
See Also:
  Serialized Form

Field Summary
`protected float` | `blackPoint` Level adjustment: black point in the range [0,1].
`protected float` | `brightness` Brightness adjustment in the range [-1,1].
`protected float` | `contrast` Contrast adjustment in the range [-1,1].
`protected float` | `definition` Definition adjustment in the range [0,1].
`protected float` | `denoise` De-noise adjustment in the range [0,1].
`protected float` | `exposure` Exposure adjustment in the range [-1,1].
`protected float` | `highlights` Higlights adjustment in the range [0,1].
`protected float` | `midPoint` Level adjustment: mid point in the range [0,1].
`protected float` | `saturation` Saturation adjustment in the range [0,1].
`protected float` | `shadows` Shadows adjustment in the range [0,1].
`protected float` | `sharpness` Sharpness adjustment in the range [0,1].
`protected float` | `temperature` Temperature adjustment in the range [-1,1].
`protected float` | `tint` Tint adjustment in the range [-1,1].
`protected float` | `whitePoint` Level adjustment: white point in the range [0,1].

Fields inherited from class org.monte.media.beans.AbstractBean
`propertySupport`

Fields inherited from interface org.monte.media.converter.ColorAdjustModel
`BLACK_POINT_PROPERTY, BRIGHTNESS_PROPERTY, CONTRAST_PROPERTY, DEFINITION_PROPERTY, DENOISE_PROPERTY, EXPOSURE_PROPERTY, HIGHLIGHTS_PROPERTY, MID_POINT_PROPERTY, SATURATION_PROPERTY, SHADOWS_PROPERTY, SHARPNESS_PROPERTY, TEMPERATURE_PROPERTY, TINT_PROPERTY, WHITE_BALANCE_QM_ENABLED_PROPERTY, WHITE_BALANCE_QM_PROPERTY, WHITE_BALANCE_TT_ENABLED_PROPERTY, WHITE_POINT_PROPERTY`

Constructor Summary
`DefaultColorAdjustModel()`

Method Summary
`float` | `getBlackPoint()`
`float` | `getBrightness()`
`float` | `getContrast()`
`float` | `getDefinition()`
`float` | `getDenoise()`
`float` | `getExposure()`
`float` | `getHighlights()`
`float` | `getMidPoint()`
`float` | `getSaturation()`
`float` | `getShadows()`
`float` | `getSharpness()`
`float` | `getTemperature()`
`float` | `getTint()`
`float[]` | `getWhiteBalanceQM()`
`float` | `getWhitePoint()` Get the value of whitePoint
`boolean` | `isIdentity()` Returns true, if the model does not perform any changes to the image.
`boolean` | `isWhiteBalanceQMEnabled()`
`boolean` | `isWhiteBalanceTTEnabled()`
`void` | `reset()` Resets all values.
`void` | `setBlackPoint(float newValue)`
`void` | `setBrightness(float newValue)`
`void` | `setContrast(float newValue)`
`void` | `setDefinition(float newValue)`
`void` | `setDenoise(float newValue)`
`void` | `setExposure(float newValue)`
`void` | `setHighlights(float newValue)`
`void` | `setMidPoint(float newValue)`
`void` | `setSaturation(float newValue)`
`void` | `setShadows(float newValue)`
`void` | `setSharpness(float newValue)`
`void` | `setTemperature(float newValue)`
`void` | `setTint(float newValue)`
`void` | `setTo(ColorAdjustModel that)`
`void` | `setWhiteBalanceQM(float[] newValue)`
`void` | `setWhiteBalanceQMEnabled(boolean newValue)`
`void` | `setWhiteBalanceTTEnabled(boolean newValue)`
`void` | `setWhitePoint(float newValue)` Set the value of whitePoint

Methods inherited from class org.monte.media.beans.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.monte.media.converter.ColorAdjustModel
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### whitePoint

    protected float whitePoint

  Level adjustment: white point in the range [0,1].

### blackPoint

    protected float blackPoint

  Level adjustment: black point in the range [0,1].

### midPoint

    protected float midPoint

  Level adjustment: mid point in the range [0,1].

### brightness

    protected float brightness

  Brightness adjustment in the range [-1,1].

### exposure

    protected float exposure

  Exposure adjustment in the range [-1,1].

### contrast

    protected float contrast

  Contrast adjustment in the range [-1,1].

### saturation

    protected float saturation

  Saturation adjustment in the range [0,1].

### definition

    protected float definition

  Definition adjustment in the range [0,1].

### highlights

    protected float highlights

  Higlights adjustment in the range [0,1].

### shadows

    protected float shadows

  Shadows adjustment in the range [0,1].

### sharpness

    protected float sharpness

  Sharpness adjustment in the range [0,1].

### denoise

    protected float denoise

  De-noise adjustment in the range [0,1].

### temperature

    protected float temperature

  Temperature adjustment in the range [-1,1].

### tint

    protected float tint

  Tint adjustment in the range [-1,1].

Constructor Detail

### DefaultColorAdjustModel

    public DefaultColorAdjustModel()

Method Detail

### reset

    public void reset()

  Description copied from interface: `ColorAdjustModel`
  Resets all values.

  Specified by:
    `reset` in interface `ColorAdjustModel`

### getWhitePoint

    public float getWhitePoint()

  Get the value of whitePoint

  Specified by:
    `getWhitePoint` in interface `ColorAdjustModel`
  Returns:
    the value of whitePoint

### setWhitePoint

    public void setWhitePoint(float newValue)

  Set the value of whitePoint

  Specified by:
    `setWhitePoint` in interface `ColorAdjustModel`
  Parameters:
    `newValue` - new value of whitePoint

### getBlackPoint

    public float getBlackPoint()

  Specified by:
    `getBlackPoint` in interface `ColorAdjustModel`

### setBlackPoint

    public void setBlackPoint(float newValue)

  Specified by:
    `setBlackPoint` in interface `ColorAdjustModel`

### getMidPoint

    public float getMidPoint()

  Specified by:
    `getMidPoint` in interface `ColorAdjustModel`

### setMidPoint

    public void setMidPoint(float newValue)

  Specified by:
    `setMidPoint` in interface `ColorAdjustModel`

### getContrast

    public float getContrast()

  Specified by:
    `getContrast` in interface `ColorAdjustModel`

### setContrast

    public void setContrast(float newValue)

  Specified by:
    `setContrast` in interface `ColorAdjustModel`

### getDefinition

    public float getDefinition()

  Specified by:
    `getDefinition` in interface `ColorAdjustModel`

### setDefinition

    public void setDefinition(float newValue)

  Specified by:
    `setDefinition` in interface `ColorAdjustModel`

### getDenoise

    public float getDenoise()

  Specified by:
    `getDenoise` in interface `ColorAdjustModel`

### setDenoise

    public void setDenoise(float newValue)

  Specified by:
    `setDenoise` in interface `ColorAdjustModel`

### getBrightness

    public float getBrightness()

  Specified by:
    `getBrightness` in interface `ColorAdjustModel`

### setBrightness

    public void setBrightness(float newValue)

  Specified by:
    `setBrightness` in interface `ColorAdjustModel`

### getExposure

    public float getExposure()

  Specified by:
    `getExposure` in interface `ColorAdjustModel`

### setExposure

    public void setExposure(float newValue)

  Specified by:
    `setExposure` in interface `ColorAdjustModel`

### getHighlights

    public float getHighlights()

  Specified by:
    `getHighlights` in interface `ColorAdjustModel`

### setHighlights

    public void setHighlights(float newValue)

  Specified by:
    `setHighlights` in interface `ColorAdjustModel`

### getSaturation

    public float getSaturation()

  Specified by:
    `getSaturation` in interface `ColorAdjustModel`

### setSaturation

    public void setSaturation(float newValue)

  Specified by:
    `setSaturation` in interface `ColorAdjustModel`

### getShadows

    public float getShadows()

  Specified by:
    `getShadows` in interface `ColorAdjustModel`

### setShadows

    public void setShadows(float newValue)

  Specified by:
    `setShadows` in interface `ColorAdjustModel`

### getSharpness

    public float getSharpness()

  Specified by:
    `getSharpness` in interface `ColorAdjustModel`

### setSharpness

    public void setSharpness(float newValue)

  Specified by:
    `setSharpness` in interface `ColorAdjustModel`

### getTemperature

    public float getTemperature()

  Specified by:
    `getTemperature` in interface `ColorAdjustModel`

### setTemperature

    public void setTemperature(float newValue)

  Specified by:
    `setTemperature` in interface `ColorAdjustModel`

### getTint

    public float getTint()

  Specified by:
    `getTint` in interface `ColorAdjustModel`

### setTint

    public void setTint(float newValue)

  Specified by:
    `setTint` in interface `ColorAdjustModel`

### setWhiteBalanceQM

    public void setWhiteBalanceQM(float[] newValue)

  Specified by:
    `setWhiteBalanceQM` in interface `ColorAdjustModel`

### getWhiteBalanceQM

    public float[] getWhiteBalanceQM()

  Specified by:
    `getWhiteBalanceQM` in interface `ColorAdjustModel`

### setWhiteBalanceQMEnabled

    public void setWhiteBalanceQMEnabled(boolean newValue)

  Specified by:
    `setWhiteBalanceQMEnabled` in interface `ColorAdjustModel`

### isWhiteBalanceQMEnabled

    public boolean isWhiteBalanceQMEnabled()

  Specified by:
    `isWhiteBalanceQMEnabled` in interface `ColorAdjustModel`

### setWhiteBalanceTTEnabled

    public void setWhiteBalanceTTEnabled(boolean newValue)

  Specified by:
    `setWhiteBalanceTTEnabled` in interface `ColorAdjustModel`

### isWhiteBalanceTTEnabled

    public boolean isWhiteBalanceTTEnabled()

  Specified by:
    `isWhiteBalanceTTEnabled` in interface `ColorAdjustModel`

### setTo

    public void setTo(ColorAdjustModel that)

  Specified by:
    `setTo` in interface `ColorAdjustModel`

### isIdentity

    public boolean isIdentity()

  Description copied from interface: `ColorAdjustModel`
  Returns true, if the model does not perform any changes to the image.

  Specified by:
    `isIdentity` in interface `ColorAdjustModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD